OGRE-Next: Ogre::DeflectorPlaneAffector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Attributes | List of all members
Ogre::DeflectorPlaneAffector Class Reference

This class defines a ParticleAffector which deflects particles. More...

`#include <OgreDeflectorPlaneAffector.h>`

Inheritance diagram for Ogre::DeflectorPlaneAffector:
[legend]

## Classes
class | CmdBounce
| Command object for bounce (see ParamCommand). More...
class | CmdPlaneNormal
| Command object for plane normal (see ParamCommand). More...
class | CmdPlanePoint
| Command object for plane point (see ParamCommand). More...

## Public Member Functions
| DeflectorPlaneAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| See ParticleAffector.
Real | getBounce () const
| Gets the bounce value of the deflection.
Vector3 | getPlaneNormal () const
| Gets the plane normal of the deflector plane.
Vector3 | getPlanePoint () const
| Gets the plane point of the deflector plane.
void | setBounce (Real bounce)
| Sets the bounce value of the deflection.
void | setPlaneNormal (const Vector3 &normal)
| Sets the plane normal of the deflector plane.
void | setPlanePoint (const Vector3 &pos)
| Sets the plane point of the deflector plane.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType () const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdBounce | msBounceCmd
static CmdPlaneNormal | msPlaneNormalCmd
static CmdPlanePoint | msPlanePointCmd
| Command objects.

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This class defines a ParticleAffector which deflects particles.

Remarks
  This affector (see ParticleAffector) offers a simple (and inaccurate) physical deflection. All particles which hit the plane are reflected.

  The plane is defined by a point (plane_point) and the normal (plane_normal). In addition it is possible to change the strength of the recoil by using the bounce parameter.

## Constructor & Destructor Documentation

## ◆ DeflectorPlaneAffector()

Ogre::DeflectorPlaneAffector::DeflectorPlaneAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::DeflectorPlaneAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ getBounce()

Real Ogre::DeflectorPlaneAffector::getBounce | ( |  | ) | const

Gets the bounce value of the deflection.

## ◆ getPlaneNormal()

Vector3 Ogre::DeflectorPlaneAffector::getPlaneNormal | ( |  | ) | const

Gets the plane normal of the deflector plane.

## ◆ getPlanePoint()

Vector3 Ogre::DeflectorPlaneAffector::getPlanePoint | ( |  | ) | const

Gets the plane point of the deflector plane.

## ◆ setBounce()

void Ogre::DeflectorPlaneAffector::setBounce | ( | Real | bounce | ) |

Sets the bounce value of the deflection.

## ◆ setPlaneNormal()

void Ogre::DeflectorPlaneAffector::setPlaneNormal | ( | const Vector3 & | normal | ) |

Sets the plane normal of the deflector plane.

## ◆ setPlanePoint()

void Ogre::DeflectorPlaneAffector::setPlanePoint | ( | const Vector3 & | pos | ) |

Sets the plane point of the deflector plane.

## Member Data Documentation

## ◆ msBounceCmd

CmdBounce Ogre::DeflectorPlaneAffector::msBounceCmd
| static

## ◆ msPlaneNormalCmd

CmdPlaneNormal Ogre::DeflectorPlaneAffector::msPlaneNormalCmd
| static

## ◆ msPlanePointCmd

CmdPlanePoint Ogre::DeflectorPlaneAffector::msPlanePointCmd
| static

Command objects.

The documentation for this class was generated from the following file:

- OgreDeflectorPlaneAffector.h